summaryrefslogtreecommitdiffstats
path: root/utils
diff options
context:
space:
mode:
Diffstat (limited to 'utils')
-rwxr-xr-xutils/docs-build.sh9
-rwxr-xr-xutils/fetch_os_creds.sh2
2 files changed, 8 insertions, 3 deletions
diff --git a/utils/docs-build.sh b/utils/docs-build.sh
index 55cb9f652..7c444e3d8 100755
--- a/utils/docs-build.sh
+++ b/utils/docs-build.sh
@@ -182,9 +182,14 @@ do
# TODO: failures in ODT creation should be handled error and
# cause 'exit 1' before OPNFV B release.
tex=$(find $build -name '*.tex' | head -1)
- odt=$(basename "${tex%.tex}.odt")
+ odt="${tex%.tex}.odt"
if [[ -e $tex ]] && which pandoc > /dev/null ; then
- pandoc $tex -o $output/$odt || {
+ (
+ cd $(dirname $tex)
+ pandoc $(basename $tex) -o $(basename $odt)
+ ) && {
+ mv $odt $output/
+ }|| {
msg="Error: ODT creation for $dir has failed."
echo
echo "$msg"
diff --git a/utils/fetch_os_creds.sh b/utils/fetch_os_creds.sh
index 3b493e146..d1b192dcb 100755
--- a/utils/fetch_os_creds.sh
+++ b/utils/fetch_os_creds.sh
@@ -115,7 +115,7 @@ elif [ "$installer_type" == "compass" ]; then
verify_connectivity $installer_ip
controller_ip=$(sshpass -p'root' ssh 2>/dev/null $ssh_options root@${installer_ip} \
'mysql -ucompass -pcompass -Dcompass -e"select * from cluster;"' \
- | awk -F"," '{for(i=1;i<NF;i++)if($i~/\"host1\"/) {print $(i+1);break;}}' \
+ | awk -F"," '{for(i=1;i<NF;i++)if($i~/\"host[1-5]\"/) {print $(i+1);break;}}' \
| grep -oP "\d+.\d+.\d+.\d+")
if [ -z $controller_ip ]; then